-- #103
CREATE TABLE lockingperiod (
     lockingperiodid      integer  not null AUTO_INCREMENT
,    calendarid           integer  not null
,    islocked             bool  not null
,    startdate            datetime  null
,    enddate              datetime  null

,   constraint pk_lockingperiod                 primary key (lockingperiodid)
,   constraint fk_lockingperiod_calendarid      foreign key (calendarid)
        references calendar                         (calendarid)
)
GO
CREATE INDEX i_lockingperiod ON lockingperiod (calendarid)
GO
