-- #102
CREATE TABLE dhlprodlistdeliverydest (
     dhlprodlistdeliverydestid integer  not null AUTO_INCREMENT
,    countrycode          varchar(3)  not null
,    currencyid           varchar(3)  null
,    dhlproductlistid     integer  null
,    exceptions           varchar(255)  null
,    overallpriceamounteur decimal(19,4)  null
,    overallpricedisplayname varchar(255)  null
,    declaration          varchar(255)  null
,    cn22limit            double  null
,    endorsement          bool  not null

,   constraint pk_dhlprodlistdeliverydest       primary key (dhlprodlistdeliverydestid)
,   constraint fk_dhlprodlistdeliverydest_currencyid foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_dhlprodlistdeliverydest_dhlproductlistid foreign key (dhlproductlistid)
        references dhlproductlist                   (dhlproductlistid)
)
GO
CREATE UNIQUE INDEX u_dhlproductlistd_countrycode ON dhlprodlistdeliverydest (dhlproductlistid, countrycode)
GO
CREATE INDEX i_countrycode ON dhlprodlistdeliverydest (countrycode)
GO
CREATE INDEX i_dhlprodlistdeliverydest_currencyid ON dhlprodlistdeliverydest (currencyid)
GO
