-- #102
CREATE TABLE lineitemshippingfedex (
     lineitemshippingfedexid integer  not null
,    shippingfulfillmentproductid integer  null
,    productprice         decimal(19,4)  null

,   constraint pk_lineitemshippingfedex         primary key (lineitemshippingfedexid)
,   constraint fk_lineitemshippingfedex_linei   foreign key (lineitemshippingfedexid)
        references lineitem                         (lineitemid)
,   constraint fk_lineitemshippingfedex_shipp   foreign key (shippingfulfillmentproductid)
        references shippingfulfillmentproduct       (shippingfulfillmentproductid)
)
GO
CREATE INDEX i_lineitemshippingfed_fpid ON lineitemshippingfedex (shippingfulfillmentproductid)
GO
