-- #302
CREATE TABLE floatattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    value                double  not null

,   constraint pk_floatattribute                primary key (objectid,attributeid)
,   constraint fk_floatattribute_objectid       foreign key (objectid)
        references object                           (objectid)
,   constraint fk_floatattribute_attributeid    foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_floatattribute_aid ON floatattribute (attributeid)
GO
