-- #602
CREATE TABLE predefattribute (
     predefattributeid    integer  not null
,    attributeid          integer  not null
,    predefclassid        integer  not null

,   constraint pk_prefdefattribute              primary key (predefattributeid)
,   constraint fk_predefattribute_attributeid   foreign key (attributeid)
        references attribute                        (attributeid)
,   constraint fk_predefattribute_predefattributeid foreign key (predefattributeid)
        references object                           (objectid)
,   constraint fk_predefattribute_predefclassid foreign key (predefclassid)
        references class                            (classid)
)
GO
CREATE INDEX i_prefdefattribute_attribute ON predefattribute (attributeid)
GO
CREATE INDEX i_predefattribute_predefclassid ON predefattribute (predefclassid)
GO
