-- #502
CREATE TABLE referenceattribute (
     objectid             integer  not null
,    attributeid          integer  not null
,    referencedobjectid   integer  not null

,   constraint pk_referenceattribute            primary key (objectid,attributeid)
,   constraint fk_referenceattribute_objectid   foreign key (objectid)
        references object                           (objectid)
,   constraint fk_referenceattribute_referencedobjectid foreign key (referencedobjectid)
        references object                           (objectid)
,   constraint fk_referenceattribute_attributeid foreign key (attributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_referencedobject ON referenceattribute (referencedobjectid)
GO
CREATE INDEX i_referenceattribute_aid ON referenceattribute (attributeid)
GO
