-- #203
CREATE TABLE paymenttypelogo (
     paymenttypelogoid    integer  not null
,    paymentlogoid        integer  null
,    paymenttypeid        integer  null

,   constraint pk_paymenttypelogo               primary key (paymenttypelogoid)
,   constraint fk_paymenttypelogo_paymentlogoid foreign key (paymentlogoid)
        references paymentlogo                      (paymentlogoid)
,   constraint fk_paymenttypelogo_paymenttypelogoid foreign key (paymenttypelogoid)
        references object                           (objectid)
,   constraint fk_paymenttypelogo_paymenttypeid foreign key (paymenttypeid)
        references paymenttype                      (paymenttypeid)
)
GO
CREATE INDEX i_paymenttypelogo_logo ON paymenttypelogo (paymentlogoid)
GO
CREATE INDEX i_paymenttypelogo_type ON paymenttypelogo (paymenttypeid)
GO
