-- #103
CREATE TABLE pricelistcustomergroup (
     pricelistid          integer  not null
,    customergroupid      integer  not null

,   constraint pk_pricelistcustomergroup        primary key (pricelistid,customergroupid)
,   constraint fk_pricelistcustomergroup_pricelistid foreign key (pricelistid)
        references pricelist                        (pricelistid)
,   constraint fk_pricelistcustomergroup_customergroupid foreign key (customergroupid)
        references customergroup                    (customergroupid)
)
GO
CREATE INDEX i_pricelistcustomergroup_group ON pricelistcustomergroup (customergroupid)
GO
