-- #204
CREATE TABLE widget (
     widgetid             integer  not null
,    widgettypeid         integer  not null
,    userid               integer  not null

,   constraint pk_widgetid                      primary key (widgetid)
,   constraint fk_widget_widgettypeid           foreign key (widgettypeid)
        references widgettype                       (widgettypeid)
,   constraint fk_widget_widgetid               foreign key (widgetid)
        references object                           (objectid)
,   constraint fk_widget_userid                 foreign key (userid)
        references users                            (userid)
)
GO
CREATE INDEX i_widget_widgettypeid ON widget (widgettypeid)
GO
CREATE INDEX i_widget_userid ON widget (userid)
GO
