-- #103
CREATE TABLE trustedshopsprotectionitem (
     protectionitemid     integer  not null
,    trustedshopscertificateid integer  not null
,    currencyid           varchar(3)  not null
,    protectedamount      decimal(19,4)  not null
,    netfee               decimal(19,4)  not null

,   constraint pk_protectionitemid              primary key (protectionitemid)
,   constraint fk_trustedshopsprotectionitem_trustedshopscertificateid foreign key (trustedshopscertificateid)
        references trustedshopscertificate          (trustedshopscertificateid)
,   constraint fk_trustedshopsprotectionitem_protectionitemid foreign key (protectionitemid)
        references object                           (objectid)
,   constraint fk_trustedshopsprotectionitem_currencyid foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_trustedshopscertificateid ON trustedshopsprotectionitem (trustedshopscertificateid)
GO
CREATE INDEX i_trustedshopsprotectionitem_currencyid ON trustedshopsprotectionitem (currencyid)
GO
