-- #103
CREATE TABLE bookingperiod (
     bookingperiodid      integer  not null AUTO_INCREMENT
,    calendarid           integer  not null
,    weekday              smallint  not null
,    isoddweek            bool  not null
,    openingtime          datetime  null
,    closingtime          datetime  null

,   constraint pk_bookingperiod                 primary key (bookingperiodid)
,   constraint fk_bookingperiod_calendarid      foreign key (calendarid)
        references calendar                         (calendarid)
)
GO
CREATE INDEX i_bookingperiod ON bookingperiod (calendarid)
GO
