-- #104
CREATE TABLE customeruser (
     userid               integer  not null
,    customerid           integer  not null

,   constraint pk_customeruser                  primary key (userid,customerid)
,   constraint fk_customeruser_userid           foreign key (userid)
        references users                            (userid)
,   constraint fk_customeruser_customerid       foreign key (customerid)
        references customer                         (customerid)
)
GO
CREATE INDEX i_customeruser_customer ON customeruser (customerid)
GO
