-- #204
CREATE TABLE contentelement (
     contentelementid     integer  not null
,    contentobjectid      integer  null
,    navelementid         integer  null

,   constraint pk_contentelement                primary key (contentelementid)
,   constraint fk_contentelement_contentobjectid foreign key (contentobjectid)
        references object                           (objectid)
,   constraint fk_contentelement_navelementid   foreign key (navelementid)
        references navelement                       (navelementid)
)
GO
CREATE INDEX i_contentelement_object ON contentelement (contentobjectid)
GO
CREATE INDEX i_contentelement_navelementid ON contentelement (navelementid)
GO
