-- #105
CREATE TABLE styletemplatevariation (
     styletemplatevariationid integer  not null AUTO_INCREMENT
,    stylegroupmapid      integer  null
,    styletemplateid      integer  null
,    position             integer  null

,   constraint pk_styletemplatevariation        primary key (styletemplatevariationid)
,   constraint fk_styletemplatevariation_styletemplateid foreign key (styletemplateid)
        references styletemplate                    (styletemplateid)
,   constraint fk_styletemplatevariation_stylegroupmapid foreign key (stylegroupmapid)
        references stylegroupmap                    (stylegroupmapid)
)
GO
CREATE UNIQUE INDEX i_stylegroup ON styletemplatevariation (stylegroupmapid, styletemplateid)
GO
CREATE INDEX i_styletemplate ON styletemplatevariation (styletemplateid)
GO
