-- #104
CREATE TABLE newsletterattachment (
     newsletterattachmentid integer  not null
,    newsletterid         integer  not null
,    ishtmlattachment     bool  not null
,    file                 varchar(255)  not null
,    type                 varchar(255)  null

,   constraint pk_newsletterattachment          primary key (newsletterattachmentid)
,   constraint fk_newsletterattachment_newsletterattachmentid foreign key (newsletterattachmentid)
        references object                           (objectid)
,   constraint fk_newsletterattachment_newsletterid foreign key (newsletterid)
        references newsletter                       (newsletterid)
)
GO
CREATE INDEX i_attachment_newsletter ON newsletterattachment (newsletterid)
GO
