-- #104
CREATE TABLE paymentmethodcustomergroup (
     paymentmethodid      integer  not null
,    customergroupid      integer  not null
,   constraint pk_pmcustomergroup               primary key (paymentmethodid,customergroupid)
,   constraint fk_paymentmethodcustomergroup_paymentmethodid foreign key (paymentmethodid)
        references paymentmethod                    (paymentmethodid)
,   constraint fk_paymentmethodcustomergroup_customergroupid foreign key (customergroupid)
        references customergroup                    (customergroupid)
)
GO
CREATE INDEX i_pmcustomergroup_group ON paymentmethodcustomergroup (customergroupid)
GO
