-- #104
CREATE TABLE paymentmethodpricelimit (
     paymentmethodid      integer  not null
,    currencyid           char(3)  not null
,    minpricevalue        decimal(19,4)  null
,    maxpricevalue        decimal(19,4)  null

,   constraint pk_productprice                  primary key (paymentmethodid,currencyid)
,   constraint fk_paymentmethodpricelimit_paymentmethodid foreign key (paymentmethodid)
        references paymentmethod                    (paymentmethodid)
,   constraint fk_paymentmethodpricelimit_currencyid foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_productprice_currency ON paymentmethodpricelimit (currencyid)
GO
