-- #103
CREATE TABLE globalvaluediscount (
     globalvaluediscountid integer  not null AUTO_INCREMENT
,    pricelistid          integer  not null
,    value                decimal(19,4)  not null
,    discount             double  null
,    discountabsolute     decimal(19,4)  null

,   constraint pk_globalvaluediscount           primary key (globalvaluediscountid)
,   constraint fk_globalvaluediscount_pricelistid foreign key (pricelistid)
        references pricelist                        (pricelistid)
)
GO
CREATE INDEX i_globaldiscount_pricelist ON globalvaluediscount (pricelistid)
GO
