-- #102
CREATE TABLE pricelist (
     pricelistid          integer  not null
,    shopid               integer  not null
,    currencyid           char(3)  not null
,    validfrom            datetime  not null
,    validto              datetime  not null

,   constraint pk_pricelist                     primary key (pricelistid)
,   constraint fk_pricelist_pricelistid         foreign key (pricelistid)
        references object                           (objectid)
,   constraint fk_pricelist_shopid              foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_pricelist_currencyid          foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_pricelist_shop ON pricelist (shopid, currencyid)
GO
CREATE INDEX i_pricelist_currencyid ON pricelist (currencyid)
GO
