-- #203
CREATE TABLE productprice (
     productid            integer  not null
,    currencyid           char(3)  not null
,    listprice            decimal(19,4)  null
,    manufacturerprice    decimal(19,4)  null
,    ecoparticipation     decimal(19,4)  null
,    deposit              decimal(19,4)  null

,   constraint pk_productprice                  primary key (productid,currencyid)
,   constraint fk_productprice_product          foreign key (productid)
        references product                          (productid)
,   constraint fk_productprice_currency         foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_productprice_currency ON productprice (currencyid)
GO
