-- #102
CREATE TABLE seoquality (
     seoqualityid         integer  not null AUTO_INCREMENT
,    contentobjectid      integer  not null
,    siteid               integer  not null
,    languageid           integer  not null
,    quality              smallint  not null

,   constraint pk_contentobject                 primary key (seoqualityid)
,   constraint fk_seoquality_contentobjectid    foreign key (contentobjectid)
        references contentobject                    (contentobjectid)
,   constraint fk_seoquality_siteid             foreign key (siteid)
        references site                             (siteid)
,   constraint fk_seoquality_languageid         foreign key (languageid)
        references language                         (languageid)
)
GO
CREATE UNIQUE INDEX u_seoquality_object_language ON seoquality (contentobjectid, languageid)
GO
CREATE INDEX i_seoquality_site ON seoquality (siteid)
GO
CREATE INDEX i_seoquality_language ON seoquality (languageid)
GO
