jQuery.ready( { plugin : ['ep.ajax', 'ep.alert'], DOM : true }, function($) {
	function additionalHtmlHeadChangeHandler(inputContent) {
		ep.ajax({
			data: {
					ObjectID: #ID,
					ViewAction : "JSONCheckHTMLHead",
					InputContent : inputContent
			},
			cache: false,
			type: "post",
			async: false,
			dataType: "json",
			success: function( jsonData ){
				if(!$("#CheckHTMLHeadWarning").length) {
					$($("#PreferencesAttributes .InfoContainer")[0]).before('<div id="CheckHTMLHeadWarning" class="DialogMessage MessageWarning"></div>');
				}

				if(jsonData.ContentOk !== 1) {
					$("#CheckHTMLHeadWarning")
						.html('<h3>{Attention[js]}</h3>{FaultyHtmlArea[js]}<br />{InfoWrongHtmlCode[js]} <code>html, head, body, robots, googlebot, msnbot, title, meta description, canonical</code><br />{RemoveFaultyCode[js]}')
						.removeClass('HideElement');
					$('#'+'AdditionalHtmlHead').parents('form').data('epFormCanBeSubmitted', 0);
				} else {
					$("#CheckHTMLHeadWarning").addClass('HideElement');
					$('#'+'AdditionalHtmlHead').parents('form').data('epFormCanBeSubmitted', 1);
				}
			}
		});
	}

	$('#'+'AdditionalHtmlHead')
		.parents('form').on('submit', function() {	// bind warning dialog to submit handler
			additionalHtmlHeadChangeHandler($('#'+'AdditionalHtmlHead').val());
			var jqform = $(this);
			if(!jqform.data('epFormCanBeSubmitted') && !jqform.data('epFormWarningClickedOk')) {
				ep.alert({
					type:   'warn',
					size:   'l',
					content: '<p>{FaultyHtmlArea[js]}</p><p>{QuestionSaveChanges[js]}</p>',
					okTitle: '{Save[js]}',
					title: '{Attention[js]}',
					close:  function(){
							return false;
					},
					ok: function() {
							jqform.data('epFormCanBeSubmitted', 1);
							jqform.data('epFormWarningClickedOk', 1);
							jqform.trigger('submit');
					},
					cancel: function(){
							return false;
					}
				});
				return false;
			}
		});

	// on load
	additionalHtmlHeadChangeHandler($('#'+'AdditionalHtmlHead').val());

});
