-- #104
CREATE TABLE shoplanguage (
     shoplanguageid       integer  not null
,    shopid               integer  not null
,    languageid           integer  not null

,   constraint pk_shoplanguage                  primary key (shoplanguageid)
,   constraint fk_shoplanguage_shopid           foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_shoplanguage_languageid       foreign key (languageid)
        references language                         (languageid)
,   constraint fk_shoplanguage_shoplanguageid   foreign key (shoplanguageid)
        references object                           (objectid)
)
GO
CREATE INDEX i_shoplanguage_languageid ON shoplanguage (languageid)
GO
CREATE UNIQUE INDEX u_shoplanguage ON shoplanguage (shopid, languageid)
GO
