-- #102
CREATE TABLE shoppinglist (
     shoppinglistid       integer  not null
,    userid               integer  null
,    shopid               integer  null
,    changedate           datetime  not null

,   constraint pk_shoppinglist                  primary key (shoppinglistid)
,   constraint fk_shoppinglist_shoppinglistid   foreign key (shoppinglistid)
        references object                           (objectid)
,   constraint fk_shoppinglist_userid           foreign key (userid)
        references users                            (userid)
,   constraint fk_shoppinglist_shopid           foreign key (shopid)
        references shop                             (shopid)
)
GO
CREATE INDEX i_shoppinglist_user ON shoppinglist (userid)
GO
CREATE INDEX i_shoppinglist_shopid ON shoppinglist (shopid)
GO
